**Full name**: projects.locations.reasoningEngines.memories.get

Get a Memory.

### Endpoint

get `https://{service-endpoint}/v1beta1/{name}`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`name` `string` Required. The resource name of the Memory. Format: `projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}/memories/{memory}`

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.memoryBanks.memories#Memory`.